Source: pyecm
Section: math
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/martingkelly/pyecm
Vcs-Git: https://salsa.debian.org/python-team/packages/pyecm.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyecm

Package: pyecm
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-gmpy2
Description: integer factorization with the Elliptic Curve Method (ECM)
 pyecm is a Python program to factor numbers using the Elliptic Curve Method
 (ECM).  It is relatively fast in that it can quickly factors numbers up to 50
 digits.
 .
 Because it is written in Python, pyecm is very portable. It is also fairly
 easy to use. Use of python-gmpy and/or python-psyco will speed it up
 immensely.
